#!/bin/bash
#
# mount-manager:bin/api/diskimage-config-json-api.sh
#

##
## API: get_all_diskimage_ids
##
function get_all_diskimage_ids {
  config_json_get_type_ids 'diskimage' || return $?
}

##
## API: get_all_diskimage_mountdir
##
function get_all_diskimage_mountdir {
  local selected_ids=
  selected_ids="$( get_all_diskimage_ids )" || return $?
  local -r selected_ids

  local selected_id=
  while read -r selected_id ; do
    if [ -n "${selected_id}" ] ; then
      get_diskimage_mountdir "${selected_id}" || return $?
    fi
  done <<<"${selected_ids}"
}

##
## API: get_diskimage_id_from_mountname
##
function get_diskimage_id_from_mountname {
  echo "$1"
}

##
## API: get_diskimage_imagefile
##
function get_diskimage_imagefile {
  local -r mount_folder="$1"

  config_json_get_type_value 'diskimage' "${mount_folder}" 'img' || return $?
}

##
## API: get_diskimage_mountdir
##
function get_diskimage_mountdir {
  local -r diskimage_id="$1"

  get_mountdir "${diskimage_id}" || return $?
}
