#!/bin/bash
#
# mount-manager:bin/api/iscsi-config-json-api.sh
#

##
## API: get_all_iscsi_ids
##
function get_all_iscsi_ids {
  config_json_get_type_ids 'iscsi' || return $?
}

##
## API: get_all_iscsi_mountdir
##
function get_all_iscsi_mountdir {
  local ids=
  ids="$( get_all_iscsi_ids )" || return $?
  local -r ids

  local id=
  while read -r id; do
    if [ -n "${id}" ] ; then
      get_iscsi_mountdir "${id}" || return $?
    fi
  done <<<"${ids}"
}

##
## API: get_iscsi_iqn_by_mountname ID
##
function get_iscsi_iqn_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'iqn' || return $?
}

##
## API: get_iscsi_iqn_by_mountname ID PARAM_NAME
##
function get_iscsi_param_by_mountname {
  local -r iscsi_id="$1"
  local -r param_name="$2"

  config_json_get_type_value 'iscsi' "${iscsi_id}" "${param_name}" || return $?
}

##
## API: get_iscsi_path_by_mountname ID
##
function get_iscsi_path_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'path' || return $?
}

##
## API: get_iscsi_portal_by_mountname ID
##
function get_iscsi_portal_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'portal' || return $?
}

