#!/bin/bash -e
#
# mount-manager:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/mount-manager
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -grx INSTALL_DATA_DIR='/usr/local/share/mount-manager'
declare -grx INSTALL_BIN_DIR='/usr/bin'

declare -grx REMOVE_OLD="${INSTALL_DATA_DIR}/mount-manager-remove"
declare -grx REMOVE_EXE="${INSTALL_DATA_DIR}/mount-manager-remove.sh"

declare -grx INSTALL_LINKS='
mount-manager
mount-manager-config
mount-manager-encrypt
'

declare -grx INSTALL_EXE='
bin/mount-manager-config.sh
bin/mount-manager-encrypt.sh
bin/mount-manager-iscsi.sh
bin/mount-manager.sh
mount-manager-install.sh
mount-manager-remove.sh
'

declare -grax INSTALL_PACKAGES=(
'gpgv2'
'jq'
'nfs-common'
'open-iscsi'
'sshfs'
'whiptail'
)
declare -grax INSTALL_API_INSTALL_MAIN_EXCLUDE=(
'.git'
'.gitignore'
'.gitlab-ci.yml'
'.gitmodules'
'.target'
'.tmp'
'package'
'tests'
)
